#
# spec file for package util-linux (Version 2.11n)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  sgmltool sp sp-devel
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip vim autoconf automake binutils cracklib gcc gdbm gettext libtool libz pam perl rpm sgmltool sp sp-devel

Name:         util-linux
Provides:     util rawio raw
Obsoletes:    util rawio raw
License:      GPL
Group:        System/Base
Autoreqprov:  on
Version:      2.11n
Release:      82
Summary:      A collection of basic system utilities
Source:       ftp://ftp.kernel.org/pub/linux/utils/util-linux/util-linux-%{version}.tar.bz2
Source1:      pmac-utils.tar.gz
Source2:      nologin.c
Source3:      nologin.8
Source4:      raw.init
Source5:      etc.raw
Source7:      lsprop.c
Source8:      adjtimex-1.12.tar.bz2
Patch:        util-linux-%{version}.dif
Patch1:       pmac-utils.dif
Patch2:       util-linux-loop.dif
Patch3:       util-linux-2.10q-swap.patch
Patch6:       hwclock.ppc.diff
Patch7:       util-linux-passphrase-timeout-patch.dif
Patch8:       util-linux-wall.dif
Patch9:       adjtimex-ia64.patch.gz
Patch10:      util-linux-hexdump.diff
Patch11:      guessfstype.patch
Patch12:      util-linux-mkswap.patch
Patch22:      ul-2.10m-sgi-fdisk.diff
Patch23:      util-linux-2.11n.umask.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
This package contains a large variety of low-level system utilities that
are necessary for a Linux system to function. Among many features, it
contains the mount program and the fdisk configuration tool.

SuSE series: a

%prep
rm -rf pmac-utils
%setup -n util-linux-%{version} -b 1 -a 8
%patch -p1
%patch2 -b .loop
%patch3 -p0 -b .swap
%patch6
%patch7
%patch8 -p1
%patch9
%patch10 -p1
%patch11
%patch12 -p1
%ifarch mips
%patch22 -p1
%patch23 -p1
%endif
# nologin
cp %{SOURCE2} %{SOURCE3} %{SOURCE7} .
cd ../pmac-utils
%patch1

%build
cd adjtimex-1.12
./configure
make
cd ..
./configure --mandir=%{_mandir} --infodir=%{_infodir}
%ifarch s390 s390x
echo -e "
all:
	echo \"#!/bin/echo 'fdisk not supported on s390'\" > fdisk
	chmod 755 fdisk
install:
	install fdisk $RPM_BUILD_ROOT/sbin/fdisk
"> ../util-linux-%{version}/fdisk/Makefile
%endif
make
gcc $RPM_OPT_FLAGS -o nologin nologin.c
%ifarch ppc
gcc $RPM_OPT_FLAGS -o lsprop lsprop.c
cd ../pmac-utils
make
%endif

%install
rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"{/etc/init.d,%{_mandir}/man{1,8},/bin,/sbin,/usr/bin,/usr/sbin}
cp adjtimex-1.12/adjtimex %{buildroot}/usr/sbin/
cp adjtimex-1.12/adjtimex.8  %{buildroot}%{_mandir}/man8/
make DESTDIR=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT/usr/bin/logger $RPM_BUILD_ROOT/bin/logger
install -m 644 mount/filesystems $RPM_BUILD_ROOT/etc/filesystems
install -m 755 nologin $RPM_BUILD_ROOT/sbin
install -m 755 mount/guessfstype $RPM_BUILD_ROOT/bin
install -m 644 nologin.8 $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 disk-utils/raw $RPM_BUILD_ROOT/usr/sbin
install -m 644 disk-utils/raw.8 $RPM_BUILD_ROOT%{_mandir}/man8
%ifarch ppc
install -m 755 lsprop $RPM_BUILD_ROOT/sbin
cd ../pmac-utils
make prefix=$RPM_BUILD_ROOT install
chmod 755 $RPM_BUILD_ROOT/sbin/clock
%else
ln -sf hwclock $RPM_BUILD_ROOT/sbin/clock
ln -sf hwclock.8.gz $RPM_BUILD_ROOT%{_mandir}/man8/clock.8.gz
%endif
echo -e "#! /bin/bash\n/sbin/blockdev --flushbufs \$1" > $RPM_BUILD_ROOT/usr/sbin/flushb
chmod 755 $RPM_BUILD_ROOT/usr/sbin/flushb
# Install scripts to configure raw devices at boot time
install -m 644 $RPM_SOURCE_DIR/etc.raw   $RPM_BUILD_ROOT/etc/raw
install -m 755 $RPM_SOURCE_DIR/raw.init $RPM_BUILD_ROOT/etc/init.d/raw
ln -sf ../../etc/init.d/raw $RPM_BUILD_ROOT/usr/sbin/rcraw
# Stupid hack so we don't have a tcsh dependency
chmod 644 $RPM_BUILD_ROOT/usr/share/misc/getopt/*

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%{fillup_and_insserv -ps raw ACTIVATE_RAW_DEV}

%postun
%{insserv_cleanup}

%files
%doc HISTORY INSTALL
%doc disk-utils/README.bootutils-0.1
%ifnarch s390 s390x
%doc fdisk/README.fdisk
%ifnarch sparc
%doc fdisk/README.cfdisk
%endif
%endif
%doc login-utils/README.admutil
%doc login-utils/README.getty
%doc login-utils/README.modems-with-agetty
%doc login-utils/README.poeigl
%doc misc-utils/README.cal
%doc misc-utils/README.namei
%doc misc-utils/README.script
%doc misc-utils/README1.namei
%doc mount/README.mount
%doc hwclock/README.hwclock
%doc hwclock/README.shhopt-1.1
%doc text-utils/README.col
%config %attr(744,root,root) /etc/init.d/raw
%config(noreplace) %attr(644,root,root) /etc/raw
/usr/sbin/rcraw
/bin/arch
/bin/dmesg
/bin/kill
/bin/guessfstype
/bin/more
/bin/mount
/bin/umount
%ifnarch s390 s390x
%config(noreplace) /etc/fdprm
%endif
%config /etc/filesystems
/sbin/agetty
/sbin/blockdev
%ifnarch s390 s390x
%ifnarch sparc
/sbin/cfdisk
/sbin/sfdisk
%endif
/sbin/fdisk
%endif
/sbin/clock
%ifnarch s390 s390x
/sbin/ctrlaltdel
%endif
/sbin/elvtune
/sbin/fsck.minix
/sbin/hwclock
/sbin/losetup
/sbin/mkfs
/sbin/mkfs.bfs
/sbin/mkfs.minix
/sbin/mkswap
/sbin/nologin
/sbin/pivot_root
/sbin/sln
/sbin/swapoff
/sbin/swapon
/bin/logger
/usr/bin/cal
/usr/bin/chkdupexe
/usr/bin/col
/usr/bin/colcrt
/usr/bin/colrm
/usr/bin/column
/usr/bin/ddate
%ifnarch s390 s390x
/usr/bin/cytune
/usr/bin/fdformat
%endif
/usr/bin/getopt
/usr/bin/hexdump
/usr/bin/hostid
/usr/bin/ipcrm
/usr/bin/ipcs
/usr/bin/isosize
/usr/bin/line
/usr/bin/look
/usr/bin/mcookie
/usr/bin/mesg
/usr/bin/namei
/usr/bin/rename
/usr/bin/renice
/usr/bin/rev
/usr/bin/script
/usr/bin/setsid
%ifnarch s390 s390x
/usr/bin/setfdprm
/usr/bin/setterm
%endif
/usr/bin/ul
%attr(2755,root,tty) /usr/bin/wall
/usr/bin/whereis
/usr/sbin/adjtimex
%attr(2755,root,tty) /usr/bin/write
%doc %{_infodir}/ipc.info.gz
%doc %{_mandir}/man1/arch.1.gz
%doc %{_mandir}/man1/cal.1.gz
%doc %{_mandir}/man1/chkdupexe.1.gz
%doc %{_mandir}/man1/col.1.gz
%doc %{_mandir}/man1/colcrt.1.gz
%doc %{_mandir}/man1/colrm.1.gz
%doc %{_mandir}/man1/column.1.gz
%doc %{_mandir}/man1/ddate.1.gz
%doc %{_mandir}/man1/getopt.1.gz
%doc %{_mandir}/man1/hexdump.1.gz
%doc %{_mandir}/man1/hostid.1.gz
%doc %{_mandir}/man1/kill.1.gz
%doc %{_mandir}/man1/line.1.gz
%doc %{_mandir}/man1/logger.1.gz
%doc %{_mandir}/man1/look.1.gz
%doc %{_mandir}/man1/mcookie.1.gz
%doc %{_mandir}/man1/mesg.1.gz
%doc %{_mandir}/man1/more.1.gz
%doc %{_mandir}/man1/namei.1.gz
%doc %{_mandir}/man1/readprofile.1.gz
%doc %{_mandir}/man1/rename.1.gz
%doc %{_mandir}/man1/rev.1.gz
%doc %{_mandir}/man1/script.1.gz
%doc %{_mandir}/man1/ul.1.gz
%doc %{_mandir}/man1/wall.1.gz
%doc %{_mandir}/man1/whereis.1.gz
%doc %{_mandir}/man1/write.1.gz
%doc %{_mandir}/man5/fstab.5.gz
%doc %{_mandir}/man5/nfs.5.gz
%doc %{_mandir}/man8/agetty.8.gz
%doc %{_mandir}/man8/blockdev.8.gz
%ifnarch s390 s390x
%doc %{_mandir}/man1/setterm.1.gz
%ifnarch sparc
%doc %{_mandir}/man8/cfdisk.8.gz
%doc %{_mandir}/man8/sfdisk.8.gz
%endif
%doc %{_mandir}/man8/fdisk.8.gz
%doc %{_mandir}/man8/ctrlaltdel.8.gz
%doc %{_mandir}/man8/cytune.8.gz
%doc %{_mandir}/man8/fdformat.8.gz
%doc %{_mandir}/man8/setfdprm.8.gz
%doc %{_mandir}/man8/tunelp.8.gz
%endif
%doc %{_mandir}/man8/adjtimex.8.gz
%doc %{_mandir}/man8/elvtune.8.gz
%doc %{_mandir}/man8/mkfs.bfs.8.gz
%doc %{_mandir}/man8/mkfs.minix.8.gz
%doc %{_mandir}/man8/fsck.minix.8.gz
%doc %{_mandir}/man8/clock.8.gz
%doc %{_mandir}/man8/dmesg.8.gz
%doc %{_mandir}/man8/hwclock.8.gz
%doc %{_mandir}/man8/ipcrm.8.gz
%doc %{_mandir}/man8/ipcs.8.gz
%doc %{_mandir}/man8/isosize.8.gz
%doc %{_mandir}/man8/losetup.8.gz
%doc %{_mandir}/man8/mkfs.8.gz
%doc %{_mandir}/man8/mkswap.8.gz
%doc %{_mandir}/man8/mount.8.gz
%doc %{_mandir}/man8/nologin.8.gz
%doc %{_mandir}/man8/pivot_root.8.gz
%doc %{_mandir}/man8/renice.8.gz
%doc %{_mandir}/man8/setsid.8.gz
%doc %{_mandir}/man8/sln.8.gz
%doc %{_mandir}/man8/swapoff.8.gz
%doc %{_mandir}/man8/swapon.8.gz
%doc %{_mandir}/man8/umount.8.gz
%ifarch i386
/usr/sbin/ramsize
/usr/sbin/rdev
/usr/sbin/rootflags
/usr/sbin/vidmode
%doc %{_mandir}/man8/ramsize.8.gz
%doc %{_mandir}/man8/raw.8.gz
%doc %{_mandir}/man8/rdev.8.gz
%doc %{_mandir}/man8/rootflags.8.gz
%doc %{_mandir}/man8/vidmode.8.gz
%endif
/usr/sbin/raw
/usr/sbin/flushb
/usr/sbin/readprofile
%ifnarch s390 s390x
/usr/sbin/tunelp
%endif
%dir /usr/share/misc/getopt
%attr (755,-,-) /usr/share/misc/getopt/parse.bash
%attr (755,-,-) /usr/share/misc/getopt/parse.tcsh
%attr (755,-,-) /usr/share/misc/getopt/test.bash
%attr (755,-,-) /usr/share/misc/getopt/test.tcsh
%doc /usr/share/misc/more.help
%ifarch ppc
/sbin/lsprop
/sbin/macos
/usr/sbin/mousemode
/sbin/nvsetenv
/sbin/nvvideo
/usr/sbin/sndvolmix
/usr/sbin/vmode
/bin/fdeject
%doc %{_mandir}/man8/macos.8.gz
%doc %{_mandir}/man8/mousemode.8.gz
%doc %{_mandir}/man8/nvsetenv.8.gz
%doc %{_mandir}/man8/nvvideo.8.gz
%doc %{_mandir}/man8/sndvolmix.8.gz
%doc %{_mandir}/man8/vmode.8.gz
%endif
/usr/share/locale/*/LC_MESSAGES/util-linux.mo

%changelog -n util-linux
* Wed Sep 25 2002 - mmj@suse.de
- Add patch to fix wrong permissions in mount.
* Fri Mar 15 2002 - schwab@suse.de
- Fix mkswap for ia64.
* Mon Mar 04 2002 - draht@suse.de
- permissions fixes for write(1) and wall(1)
* Fri Feb 01 2002 - mmj@suse.de
- Moved /usr/bin/logger to /bin/logger (needed by sysconfig)
* Mon Jan 28 2002 - mmj@suse.de
- Added the guessfstype binary from msvec/fehr
* Thu Jan 24 2002 - ro@suse.de
- modified fillup_and_insserv call (perl-hack not needed here)
* Mon Jan 21 2002 - mmj@suse.de
- Merge NetBSD hexdump changes, fixes bugzilla #12801
* Thu Jan 10 2002 - ro@suse.de
- removed ACTIVATE_RAW_DEV
* Mon Dec 31 2001 - adrian@suse.de
- add patch for mips to create SGI partition tables with fdisk
* Tue Dec 18 2001 - bjacke@suse.de
- add adjtimex
* Mon Dec 10 2001 - mmj@suse.de
- Update to util-linux-2.11n
* Tue Nov 20 2001 - mmj@suse.de
- Added a patch to 'wall' to remove unwanted newline (#12181)
* Wed Nov 07 2001 - kukuk@suse.de
- Remove unneeded SPARC patch for hwclock
* Sat Oct 13 2001 - kukuk@suse.de
- Update to util-linux 2.11l
* Wed Sep 12 2001 - garloff@suse.de
- Fixed some dutch translations. (bug #10276)
* Mon Sep 10 2001 - olh@suse.de
- marry fdisk and AIX label again...
  add lsprop for ppc
  dumps the device tree in a human readable format
* Mon Sep 03 2001 - kukuk@suse.de
- Update to version 2.11i:
- blockdev: corrected ioctl numbers
- cal: fixed for multibyte locales
- line: new
- mount: added vxfs magic
* Sat Sep 01 2001 - kukuk@suse.de
- Let mount follow symlinks again
* Wed Aug 29 2001 - kukuk@suse.de
- Add new option to losetup manual page
* Tue Aug 28 2001 - draht@suse.de
- added timeout support for losetup (-t <timeout>)
* Mon Aug 27 2001 - kukuk@suse.de
- Add raw rc scripts, too
* Sun Aug 26 2001 - bjacke@suse.de
- added raw binary and put rawio into obsoletes and provides
* Sat Aug 25 2001 - kukuk@suse.de
- Fix path in getopt.1 manual page to example directory [Bug #9831]
* Fri Aug 24 2001 - kukuk@suse.de
- Small fix for hwclock on newer SPARCs
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Jul 30 2001 - kukuk@suse.de
- Update to util-linux-2.11h
- Add nologin program
* Tue Jul 10 2001 - kukuk@suse.de
- Remove swapdev from filelist
* Tue Jul 10 2001 - kukuk@suse.de
- Update to util-linux-2.11g
* Wed Jun 06 2001 - bk@suse.de
- added s390x to all ifnarch s390
* Fri Apr 20 2001 - kukuk@suse.de
- Fix wall bug (character 80, 160, 240, are missing) [Bug #6962]
* Mon Mar 26 2001 - kukuk@suse.de
- Add exception for broken i2o disk device numbering scheme, kernel
  hacker are not able to fix this and make it right [Bug #5881].
* Sat Mar 24 2001 - kukuk@suse.de
- Update to util-linux 2.11b
* Thu Mar 15 2001 - kukuk@suse.de
- Fix changing of partitions with ID 0 on SPARC
- Remove duplicate mount patch
* Wed Mar 14 2001 - schwab@suse.de
- Don't use _syscallX on ia64.
- Fix missing includes.
* Wed Mar 14 2001 - kukuk@suse.de
- Update to version 2.11a
* Fri Mar 02 2001 - kukuk@suse.de
- enable write again
* Mon Feb 12 2001 - kukuk@suse.de
- cmos.c: Use sys/io.h, fix PowerPC hack
* Tue Feb 06 2001 - ro@suse.de
- wall.c: include time.h
* Mon Feb 05 2001 - kukuk@suse.de
- Split hex to extra package
- Update to util-linux-2.10s
* Fri Feb 02 2001 - werner@suse.de
- Make swapon/swapoff more handy:
  * Ignore swap files on ro mounted file systems
  * If -a is given ignore already active devices at swapon
  * If -a is given ignore not active devices at swapoff
* Thu Jan 25 2001 - ro@suse.de
- added Provides: util
* Fri Jan 12 2001 - garloff@suse.de
- Apply patch to lomount to allow all kerneli crypt algos to be
  passed and allow to pass passwd with -k.
- losetup seems to support >2GB files just fine (#5433)
* Tue Jan 02 2001 - kukuk@suse.de
- Save permissions of /etc/mtab [Bug #5027]
* Tue Dec 05 2000 - kukuk@suse.de
- Search first in /etc/filesystems, then in /proc/filesystems
* Tue Dec 05 2000 - kukuk@suse.de
- Use AIX/fdisk patch from util-linux-2.10r
- Backport "guess filesystems" from util-linux-2.10r
* Tue Dec 05 2000 - schwab@suse.de
- Don't use _syscallX on ia64.
* Mon Dec 04 2000 - olh@suse.de
- fix diff again
* Sun Dec 03 2000 - olh@suse.de
- no segfaults with AIX disklabels
* Wed Nov 29 2000 - uli@suse.de
- fixed to build on PPC
* Mon Nov 27 2000 - schwab@suse.de
- Fix broken casts in hwclock.
* Thu Nov 23 2000 - bk@suse.de
- temporary disable pivot_root on s390(2.4 kernel is not yet built)
* Wed Nov 22 2000 - schwab@suse.de
- Add pivot_root to file list.
* Mon Nov 20 2000 - kukuk@suse.de
- Fix pmac-utils to compile with new kernel
* Fri Nov 17 2000 - kukuk@suse.de
- Fix hwclock to compile on PPC
* Wed Nov 15 2000 - kukuk@suse.de
- Update util-linux to 2.10q, merge flushb.diff
* Thu Nov 02 2000 - kukuk@suse.de
- Remove some of the last specfile changes
* Wed Nov 01 2000 - olh@suse.de
- update pmac-utils for new powermacs, cleanup specfile
* Fri Oct 20 2000 - kukuk@suse.de
- Update util-linux to 2.10p
- Rename package from util to util-linux
* Wed Sep 27 2000 - kukuk@suse.de
- Allow NFS v3 with 2.2.17.SuSE
* Tue Sep 26 2000 - kukuk@suse.de
- Fix mount for new NFS kernel patch
* Sat Sep 09 2000 - kukuk@suse.de
- Remove tcsh dependency
- Update to util-linux 2.10o, use of /etc/filesystems is still broken
* Fri Aug 25 2000 - pthomas@suse.de
- use %%{_mandir} and %%{_infodir} exclusively. This allows building
  from source rpm on platforms other than 7.0.
* Wed Jul 19 2000 - bk@suse.de
- s390: removed dasdfmt and silo, %%ifnarch s390 for some non-s390 things.
* Tue May 30 2000 - bk@suse.de
- added dasdfmt and silo on s390
* Mon May 15 2000 - kukuk@suse.de
- util-linux: Update to 2.10m
* Wed Apr 26 2000 - kukuk@suse.de
- flusb: Don't use kernel headers, even if we don't need them!
* Wed Apr 19 2000 - kukuk@suse.de
- util-linux: Update to 2.10l
* Mon Apr 17 2000 - kukuk@suse.de
- util-linux: Update to 2.10k
* Thu Apr 13 2000 - kukuk@suse.de
- Move /sbin/setserial to /bin/setserial, add compat link to
  /sbin. This fixes [Bug 1084] and is necessary for FHS 2.1
* Wed Apr 12 2000 - kukuk@suse.de
- Fix util-linux for Alpha
* Wed Apr 12 2000 - kukuk@suse.de
- util-linux: Update to 2.10j
* Sun Apr 02 2000 - bk@suse.de
- suse s390 team added support for s390
* Thu Mar 30 2000 - uli@suse.de
- hwclock/PPC: added support for MK48T559 RTC chip used in MTX+ boards
* Fri Mar 24 2000 - kukuk@suse.de
- Add Linux LVM partition tag to fdisk
- Fix a lot of more possible buffer overruns
- Fix some fdisk sunlabel bugs
- added BuildRoot fixes from nadvorni@suse.cz
* Wed Mar 22 2000 - kukuk@suse.de
- Update util-linux to 2.10h
- Add clock again for non PPC platforms
* Fri Mar 17 2000 - uli@suse.de
- now contains both hwclock and clock on PPC (/sbin/init.d/boot
  chooses what to run at runtime)
* Tue Mar 14 2000 - schwab@suse.de
- Add support for ia64.
* Thu Mar 09 2000 - kukuk@suse.de
- fdisk: Fix -l for Mylex RAID controller
* Tue Mar 07 2000 - kukuk@suse.de
- etc/filesystems: Add minix and reiserfs
* Tue Mar 07 2000 - kukuk@suse.de
- mount: fix endian problem with minix fs
* Tue Feb 15 2000 - kukuk@suse.de
- mount: Add hack for PPC/syscall mount problem
* Sun Feb 13 2000 - bk@suse.de
- let rdev continue in case it stubles over a bad file in /dev (/dev/snd fix)
* Fri Feb 04 2000 - kukuk@suse.de
- Make PPC clock parameter compatible to hwclock
* Thu Feb 03 2000 - kukuk@suse.de
- Fix filelist for SPARC
* Thu Feb 03 2000 - kukuk@suse.de
- util-linux: Update to 2.10f (mount security fix)
* Sun Jan 23 2000 - kukuk@suse.de
- util-linux: Update to 2.10e
* Tue Jan 18 2000 - kukuk@suse.de
- mount now looks at first in /etc/filesystems and then in
  /proc/filesystems
* Tue Jan 18 2000 - ro@suse.de
- fixed pmac-utils to build with 2.3 as well
* Tue Jan 18 2000 - kukuk@suse.de
- Fix a lot of fdisk buffer overruns [Bug 1642]
* Mon Jan 17 2000 - kukuk@suse.de
- Fix setserial for Linux 2.3.40
- Remove write, is now in nkitb
- Build minix and bfs tools for SPARC
- Fix some buffer overflows in fdisk
* Fri Dec 17 1999 - kukuk@suse.de
- util-linux: Update to 2.10d
- hex: Update to 1.2
- Move manual pages to /usr/share/man
* Tue Nov 30 1999 - uli@suse.de
- re-added hwclock link for PPC (2nd try)
* Tue Nov 30 1999 - uli@suse.de
- re-added hwclock link for PPC
* Mon Nov 15 1999 - kukuk@suse.de
- util-linux: Update to 2.10b
* Sat Nov 13 1999 - kukuk@suse.de
- setserial: Add Patch for Sparc
- Fix filelist for Sparc
* Wed Oct 27 1999 - garloff@suse.de
- added flushb (moved here from ddrescue).
- fix bug in logger (remove trailing newlines).
* Fri Oct 22 1999 - kukuk@suse.de
- util-linux: Remove old patches for mk_loop_h
* Sat Oct 16 1999 - kukuk@suse.de
- util-linux: Update to 2.9z
* Fri Oct 08 1999 - kukuk@suse.de
- Update to util-linux-2.9y (execpt fdisk)
* Tue Sep 14 1999 - uli@suse.de
- added PMac-specific utils for PPC
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 26 1999 - uli@suse.de
- disabled hayesesp for PPC
* Wed Aug 25 1999 - kukuk@suse.de
- Dont install tsort, its now in textutils 2.0
* Tue Aug 24 1999 - kukuk@suse.de
- Update to util-linux-2.9w (execpt fdisk)
* Mon Aug 09 1999 - kukuk@suse.de
- Update to util-linux-2.9v (execpt fdisk)
* Tue Jul 20 1999 - garloff@suse.de
- Added hex from Erich S. Raymond
* Mon Jul 12 1999 - kukuk@suse.de
- Add fdisk patch from Klaus G. Wagner
- Add mount patch from util-linux 2.9u
* Tue Jul 06 1999 - kukuk@suse.de
- update to util-linux-2.9t
* Fri Jun 25 1999 - kukuk@suse.de
- update to util-linux-2.9s
* Wed Mar 03 1999 - ro@suse.de
- hwclock.c: always use busywait to get rtctime
  (it's hard to find out at runtime if we will get an irq)
* Tue Mar 02 1999 - ro@suse.de
- update to util-linux-2.9i
- update to setserial-2.15
- using diffs from jurix and add-ons from kgw for compaq smart raid
* Mon Feb 01 1999 - ro@suse.de
- rdev is not built on alpha
* Mon Jan 18 1999 - florian@suse.de
- fixed one broken case to delete a partition in fdisk
* Sun Dec 13 1998 - bs@suse.de
- fixed file list
* Thu Dec 10 1998 - fehr@suse.de
- fix bug in fdisk
* Tue Dec 08 1998 - ro@suse.de
- removed last from filelist
- added link /sbin/clock -> hwclock
* Wed Nov 04 1998 - ro@suse.de
- fdisksunlabel: don't include scsi/scsi.h for glibc-2.0
* Fri Oct 30 1998 - ro@suse.de
- update to 2.9 / added hostid from previous diff
- copied some glibc changes from previous diff (strcpy..)
* Thu Sep 17 1998 - ro@suse.de
- define _GNU_SOURCE when using getopt
* Mon Aug 31 1998 - ro@suse.de
- full switch to util-linux 2.8
--  sync has moved to pkg fileutils
--  chroot has moved to pkg sh_utils (has been there for a while)
--  adopted hostid from previous suse-pkg
* Mon Aug 24 1998 - ro@suse.de
- switched to use mount from util-linux-2.8
* Tue Jun 23 1998 - ro@suse.de
- added fdisk, sfdisk, cfdisk from util-linux-2.8
  (including man-pages,readmes)
* Mon Nov 17 1997 - ro@suse.de
- changed /local/bin/perl5 in chkdupexe to /usr/bin/perl
* Fri Oct 31 1997 - ro@suse.de
- temporarily removed mount-hacker
* Wed Oct 29 1997 - florian@suse.de
- add changes from ms@suse.de for hostid.c
* Tue May 20 1997 - florian@suse.de
- only support kernel 2.0.x for nfs mounts, please use /bin/mount-hacker
  for kernel 2.1.x
* Wed Apr 30 1997 - florian@suse.de
- update to mount 2.6g
* Sun Apr 13 1997 - florian@suse.de
- update to new version util-linux 2.6
- update to new version mount 2.6e
* Thu Jan 02 1997 - florian@suse.de
- update to mount 2.5p
* Thu Jan 02 1997 - florian@suse.de
- Update auf neue Version von mount 2.5o.
* Thu Jan 02 1997 - florian@suse.de
- updated to new version mount 2.5m
- (u)mount now gives much better error messages
* Thu Jan 02 1997 - bs@suse.de
  compile setterm with libtermcap and not libncurses
  use newer mount instead of the old version in util-linux
  (security fix)
